Can I upload App to App store developed in Xcode 10.1 and Swift 4.2

Recently I developed an app and I want to submit it to the App store, but I developed this app on Xcode 10.1 in which maximum support Swift version is 4.2 and deployment target in 12.1 now question I want to ask as Apple released Xcode 10.2 with Swift 5. so can I upload this app to app store or it is necessary to develop this app in Xcode 10.2?

1 answer

  • answered 2019-04-24 08:09 kubrick G

    Apple required iOS app to be built with iOS 12 SDK which comes with Xcode 10 (reference).
    Apple now requires iOS app to be built with Xcode 10.1. (reference).
    So as long as you build your app with Xcode 10.1 or higher you will be fine for now.